%global plugincommit 67a7a34734c4665dcb1a504432de5d2e5a56ac90
%global pluginshortcommit %(c=%{plugincommit}; echo ${c:0:7})
%global pythoncommit b9099037dec445bf5f2a91331e4d0ac4b3fb4dcc
%global pythonshortcommit %(c=%{pythoncommit}; echo ${c:0:7})

Name: albert
Version: 0.14.21
Release: %mkrel 14
Summary: A fast and flexible keyboard launcher
License: GPLv2+
Group: Graphical desktop/Other
URL: https://github.com/albertlauncher/albert
Source0: https://github.com/albertlauncher/albert/archive/v%{version}/albert-%{version}.tar.gz
Source1: https://github.com/albertlauncher/plugins/archive/%{plugincommit}/%{name}-plugins-%{pluginshortcommit}.tar.gz
Source2: https://github.com/albertlauncher/python/archive/%{pythoncommit}/%{name}-python-%{pythonshortcommit}.tar.gz
Patch0: albert-0.14.18-fix-linking.patch
Patch1: albert-0.14.18-find-and-use-python-libraries-and-headers.patch

BuildRequires: cmake
BuildRequires: pybind11-devel
BuildRequires: pkgconfig(muparser)
BuildRequires: pkgconfig(python3)
BuildRequires: pkgconfig(libqalculate) >= 2.2.1
BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5X11Extras)
BuildRequires: pkgconfig(xext)

# Required for notify-send, used for un-implemented actions:
Requires: libnotify
# mga#25029
Requires: qt5-database-plugin-sqlite

%description
Access everything with virtually zero effort. Run applications, open files
or their paths, open bookmarks in your browser, search the web, calculate
things and a lot more …

Albert is a desktop agnostic launcher. Its goals are usability and beauty,
performance and extensibility. It is written in C++ and based on the Qt
framework.

%prep
%setup -q -a 1 -a 2
rmdir plugins
mv plugins-%{plugincommit} plugins
rmdir plugins/python/share/modules
mv python-%{pythoncommit} plugins/python/share/modules
rmdir plugins/python/pybind11
%patch0 -p1 -b .fixbuild
%patch1 -p1 -b .findpython -d plugins
perl -pi -e 's/^.*pybind11.*$//g' plugins/python/CMakeLists.txt
perl -pi -e 's|lib/albert|%{_lib}|g' {application,lib{,/albertcore,/globalshortcut,/xdg},plugins}/CMakeLists.txt
perl -pi -e 's|lib/albert|%{_lib}/albert|g' {application,plugins}/CMakeLists.txt

%build
%cmake_qt5 -DBUILD_VIRTUALBOX=no \
           -DCMAKE_INSTALL_LIBDIR="%{_lib}" \
           -DCMAKE_SKIP_RPATH=OFF
%cmake_build

%install
%cmake_install

%files
%{_bindir}/albert
%{_datadir}/albert/
%{_iconsdir}/hicolor/scalable/apps/albert.svg
%{_datadir}/applications/albert.desktop
%{_libdir}/albert/


%changelog
* Sat Dec 30 2023 daviddavid <daviddavid> 0.14.21-14.mga10
+ Revision: 2024607
- rebuild for py3.12

* Tue Apr 05 2022 umeabot <umeabot> 0.14.21-13.mga9
+ Revision: 1844180
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 tv <tv> 0.14.21-12.mga9
+ Revision: 1782172
- Rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 0.14.21-11.mga9
+ Revision: 1705919
- rebuild for python 3.9

* Wed Dec 16 2020 umeabot <umeabot> 0.14.21-10.mga8
+ Revision: 1658127
- Rebuild for new Qt5

* Thu Oct 22 2020 akien <akien> 0.14.21-9.mga8
+ Revision: 1638650
+ rebuild (emptylog)

* Sun Feb 16 2020 umeabot <umeabot> 0.14.21-8.mga8
+ Revision: 1531043
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Sep 09 2019 wally <wally> 0.14.21-7.mga8
+ Revision: 1438899
- rebuild for python3.8

* Sun Jul 07 2019 daviddavid <daviddavid> 0.14.21-6.mga8
+ Revision: 1419360
- disable rpath
- fix cmake lib install dir

* Tue Jul 02 2019 daviddavid <daviddavid> 0.14.21-5.mga8
+ Revision: 1417512
- add missing dependency on qt5-database-plugin-sqlite (mga#25029)

* Fri Mar 29 2019 umeabot <umeabot> 0.14.21-4.mga7
+ Revision: 1381221
- Qt5 Rebuild

* Wed Jan 09 2019 daviddavid <daviddavid> 0.14.21-3.mga7
+ Revision: 1353052
- rebuild for new Python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.14.21-2.mga7
+ Revision: 1294638
- Mageia 7 Mass Rebuild

* Thu Jun 14 2018 buchan <buchan> 0.14.21-1.mga7
+ Revision: 1236859
- Update to 0.14.21
- update submodule sources accordingly
- BR qt5qml-devel
- Update to 0.14.18
- Drop patches that were upstreamed
- Add sources for the plugins that were moved to submodules
- Switch to python 3 (some python plugins now use python 3 features)
- BR pybind11-devel and qalculate-devel
- Move internal libraries to an application-specific directory

* Mon Dec 11 2017 buchan <buchan> 0.12.0-1.mga7
+ Revision: 1182244
- imported package albert

